__gnu_cxx::balloc(3)

NAME
__gnu_cxx::balloc -

SYNOPSIS

  Classes
class __mini_vector
__mini_vector<> is a stripped down version of the full-fledged std::vector<>.
struct __mv_iter_traits
struct __mv_iter_traits< _Tp * >
class _Bitmap_counter
The bitmap counter which acts as the bitmap manipulator, and manages the bit-manipulation functions and the searching and identification functions on the bit-map.
class _Ffit_finder
The class which acts as a predicate for applying the first-fit memory allocation policy for the bitmap allocator.
class _Functor_Ref
class _Inclusive_between

  Enumerations
enum { bits_per_byte, bits_per_block }

  Functions
void __bit_allocate (size_t *__pbmap, size_t __pos) throw ()
void __bit_free (size_t *__pbmap, size_t __pos) throw ()
template<typename _InputIterator, typename _Predicate> _InputIterator __find_if (_InputIterator __first, _InputIterator __last, _Predicate __p)
template<typename _ForwardIterator, typename _Tp, typename _Compare> _ForwardIterator __lower_bound (_ForwardIterator __first, _ForwardIterator __last, const _Tp &__val, _Compare __comp)
template<typename _AddrPair> size_t __num_bitmaps (_AddrPair __ap)
template<typename _AddrPair> size_t __num_blocks (_AddrPair __ap)

Function Documentation

  void __gnu_cxx::balloc::__bit_allocate (size_t * __pbmap, size_t __pos) throw () [inline]

Mark a memory address as allocated by re-setting the corresponding bit in the bit-map.

Definition at line 679 of file bitmap_allocator.h.

Referenced by bitmap_allocator::_M_allocate_single_object().

  void __gnu_cxx::balloc::__bit_free (size_t * __pbmap, size_t __pos) throw () [inline]

Mark a memory address as free by setting the corresponding bit in the bit-map.

Definition at line 690 of file bitmap_allocator.h.

Referenced by bitmap_allocator::_M_deallocate_single_object().

  size_t __gnu_cxx::balloc::__num_bitmaps (_AddrPair __ap) [inline]

The number of Bit-maps pointed to by the address pair passed to the function.

Definition at line 463 of file bitmap_allocator.h.

References __num_blocks().

Referenced by bitmap_allocator::_M_allocate_single_object(), bitmap_allocator::_M_deallocate_single_object(), and _Ffit_finder::operator()().

  size_t __gnu_cxx::balloc::__num_blocks (_AddrPair __ap) [inline]

The number of Blocks pointed to by the address pair passed to the function.

Definition at line 455 of file bitmap_allocator.h.

Referenced by __num_bitmaps(), and _Ffit_finder::operator()().

Author

Generated automatically by Doxygen for libstdc++ from the source code.